%global debug_package   %{nil}
%global import_path     github.com/openshift/go-systemd
%global commit          3e62c31315198df83edded90b68a33509c9f5b56
%global shortcommit     %(c=%{commit}; echo ${c:0:7})

Name:           golang-github-openshift-go-systemd
Version:        0
Release:        0.5.git%{shortcommit}%{?dist}
Summary:        Go bindings to systemd D-BUS APIs
License:        ASL 2.0
URL:            http://%{import_path}
Source0:        https://%{import_path}/archive/%{commit}/go-systemd-%{shortcommit}.tar.gz
ExclusiveArch:  %{ix86} x86_64 %{arm}

%description
%{summary}

%package devel
BuildRequires:  golang >= 1.2.1-3
Requires:       golang(github.com/godbus/dbus)
Requires:       golang >= 1.2.1-3
Summary:        Go bindings to systemd D-BUS APIs
Provides:       golang(%{import_path}/dbus) = %{version}-%{release}

%description devel
%{summary}

This package contains library source intended for building other packages
which use openshift/go-systemd.

%prep
%setup -n go-systemd-%{commit}
rm -rf account activation examples fixtures journal test

%build

%install
install -d -p %{buildroot}/%{gopath}/src/%{import_path}/dbus
cp -pav dbus/*.go %{buildroot}/%{gopath}/src/%{import_path}/dbus

%files devel
%doc LICENSE README.md
%dir %{gopath}/src/github.com/openshift
%dir %{gopath}/src/%{import_path}
%dir %{gopath}/src/%{import_path}/dbus
%{gopath}/src/%{import_path}/dbus/*.go

%changelog
* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0-0.5.git3e62c31
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Tue Aug 26 2014 Lokesh Mandvekar <lsm5@fedoraproject.org> - 0-0.4.git
- update to latest upstream commit 3e62c31315198df83edded90b68a33509c9f5b56
- include test
- do not own directories owned by golang

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0-0.3.gitb71042d
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Apr 12 2014 Lokesh Mandvekar <lsm5@redhat.com> 0-0.2.git
- correct devel package dep

* Thu Apr 03 2014 Lokesh Mandvekar <lsm5@redhat.com> 0-0.1.git
- Initial package
